package com.ssj.service.conch.parents.request.version4;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

public class HomeworkReportReq extends BaseRequest{

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "学生id", required = true)
    @NotBlank
    private String vipId;

    @ApiModelProperty(name = "date", value = "日期", required = true)
    @NotBlank
    private String date;

    @ApiModelProperty(name = "isGroup", value = "是否是小课，1是，0否", required = true)
    private Integer isGroup;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Integer getIsGroup() {
        return isGroup;
    }

    public void setIsGroup(Integer isGroup) {
        this.isGroup = isGroup;
    }
}
